package Hito4;


import Hito4.Arqueo;


// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.231747AB-609D-6F77-9128-39930272B86E]
// </editor-fold> 
public class Caja {

    private int identificador;
    private String usuario;
    private double saldoInicial;
    private double saldoFinal;
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.6F221FD6-F5D1-8EA6-FB76-43BC404C2265]
    // </editor-fold> 
    private Arqueo mArqueo;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.492859A8-5B1D-3D6E-8C5A-C2EAE7B25A79]
    // </editor-fold> 
    public Caja () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9A62F3E6-3032-B3D1-9BA0-F23CB4E248C7]
    // </editor-fold> 
    public Arqueo getArqueo () {
        return mArqueo;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.2DBB751C-8821-AF90-5B7C-376806EB60F1]
    // </editor-fold> 
    public void setArqueo (Arqueo val) {
        this.mArqueo = val;
    }
    public void setIdentificador(int i){
        this.identificador=i;
    }
    public int setIdentificador(){
        return this.identificador;}

    /**
     * @return the saldoInicial
     */
    public double getSaldoInicial() {
        return saldoInicial;
    }

    /**
     * @param saldoInicial the saldoInicial to set
     */
    public void setSaldoInicial(double saldoInicial) {
        this.saldoInicial = saldoInicial;
    }

    public double getSaldoFinal() {
        return saldoFinal;
    }

    public void setSaldoFinal(double saldoFinal) {
        this.saldoFinal = saldoFinal;
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public void ingresoCaja(double importe){
        this.saldoFinal=this.saldoFinal+importe;
    }

    public void reintegroCaja(double importe){
        this.saldoFinal=this.saldoFinal-importe;
    }
}

